.footer {
	background-color: var(--comet-950);
	padding: 48px 0 24px;
	color: var(--comet-100);
	margin-top: 48px;
}

.footer ul {
	list-style-type: none;
	margin: 0;
	padding: 0;
}

.footer ul li,
.footer ul li:not(:last-child) {
	margin-bottom: 0;
}

.footer ul li a {
	position: relative;
	display: inline-block;
	color: var(--comet-100);
	font-size: 14px;
	line-height: 22px;
	text-decoration: underline;
	text-underline-position: under;
	transition: color ease .1s, text-decoration ease .1s;
}

.footer ul li a:hover {
	color: var(--radical-red-600);
	text-decoration: none;
}

.footer-title {
	font-size: 14px;
	color: var(--whisper-700);
	font-weight: 700;
	text-transform: uppercase;
	line-height: 18px;
	margin-bottom: 12px;
}

.footer-post {
	display: grid;
	grid-gap: 12px;
	margin-bottom: 24px;
}

.footer-post .footer-title {
	margin-bottom: 12px;
}

.footer-post__card {
	display: flex;
	align-items: center;
	background-color: var(--whisper-950);
	padding: 11px 0;
	border-radius: 12px;
	overflow: hidden;
}

.footer-post__card--poster {
	width: 120px;
	height: 100%;
	flex-shrink: 0;
}

.footer-post__card--poster img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	aspect-ratio: 3 / 2;
	border-radius: 12px;
}

.footer-post__card--content {
	display: flex;
	flex-direction: column;
	padding-left: 12px;
	padding-right: 12px;
	flex: 1;
	height: 100%;
}

.footer-post__card--title {
	display: block;
	color: var(--white);
	font-size: 14px;
	font-weight: 600;
	line-height: 24px;
	margin-top: auto;
	margin-bottom: auto;
}

.footer-post__card--title:hover {
	text-decoration: underline;
	text-underline-position: under;
}

.footer-post__card--room {
	display: grid;
	align-items: center;
	grid-template-columns: 24px 1fr;
	grid-gap: 10px;
	margin-top: 16px;
}

.footer-post__card--room__link {
	font-size: 14px;
	color: var(--azure-radiance-400);
	font-weight: 600;
	line-height: 24px;
	transition: color ease .1s;
}

.footer-post__card--room__link:hover {
	color: var(--azure-radiance-300);
}


.footer-nav {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(210px, 1fr));
	grid-gap: 36px;
}

.footer-nav .menu-item__text {
	font-size: 14px;
	color: var(--whisper-700);
	font-weight: 700;
	text-transform: uppercase;
}

.footer-nav .sub-menu li {
	margin-top: 12px;
}

.footer-grid--about {
	margin: 24px 0 48px;
}

.footer-grid {
	display: grid;
	align-items: flex-start;
	grid-gap: 36px;
}

.footer-logo {
	max-width: 175px;
	max-height: 25px;
	margin: 0 0 12px 0;
}

.footer-about p {
	font-size: 14px;
	line-height: 22px;
	margin-bottom: 12px;
}

.footer-about .button {
	padding: 0 24px;
}

.footer-social {
	display: flex;
	flex-wrap: wrap;
	column-gap: 10px;
}

.footer-social .footer-title {
	width: 100%;
}

.footer__social-item {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 36px;
	height: 36px;
	font-size: 18px;
	color: var(--whisper-800);
	background-color: var(--whisper-950);
	border-radius: 3px;
	transition: color ease .1s;
}

.footer__social-item:hover {
	color: var(--comet-100);
}


.foooter-links {
	display: flex;
	flex-wrap: wrap;
	align-items: flex-start;
	gap: 12px;
}

.foooter-copyright {
	font-size: 14px;
	line-height: 17px;
}


.footer-dmca {
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	justify-content: center;
	gap: 24px;
	margin-top: 48px;
}

.footer__dmca-link {
	transition: opacity ease .1s;
}

.footer__dmca-link:hover {
	opacity: .8;
}

.footer__dmca-link img {
	max-height: 30px;
}

@media (min-width: 768px) {
	.footer-title {
		margin-bottom: 24px;
	}

	.footer-post {
		grid-template-columns: repeat(2, 1fr);
		grid-gap: 24px;
		margin-bottom: 48px;
	}

	.footer-post .footer-title {
		grid-column: 1 / 3;
		margin-bottom: 0;
	}

	.footer-post__card {
		padding: 0;
	}

	.footer-post__card--poster img {
		border-radius: 0;
	}

	.footer-post__card--content {
		padding-top: 12px;
		padding-bottom: 12px;
	}


	.footer-nav {
		grid-gap: 48px;
	}

	.footer-grid--about {
		margin: 48px 0 28px;
	}

	.footer-grid {
		grid-template-columns: 1fr 266px;
		grid-gap: 48px;
	}
}

@media (min-width: 992px) {
	.footer-post {
		grid-template-columns: repeat(3, 1fr);
	}

	.footer-post .footer-title {
		grid-column: 1 / 4;
	}
}

@media (min-width: 1200px) {
	.footer-post__card--poster {
		width: 180px;
	}
}